Package org.kapott.hbci.tools

## Class InitAndTest

- java.lang.Object
- - org.kapott.hbci.tools.InitAndTest

    public final class InitAndTest
    extends java.lang.Object

Tool zum Initialisieren und Testen eines HBCI-Passports. Dieses Tool dient einerseits als Vorlage für die Benutzung von HBCI4Java in eigenen Anwendungen und gleichzeitig als Tool, um ein HBCI-Passport einzurichten und zu initialisieren.

Für das Einrichten und Initialisieren eines HBCI-Passports gibt es keine speziellen Funktionen, statt dessen wird ein Passport einfach so benutzt, als ob es schon vorhanden wäre. Alle fehlenden Daten holt sich HBCI4Java selbstständig entweder über den Callback-Mechanismus vom Anwender oder durch spezielle HBCI-Dialoge von der Bank.

Aus diesem Grund kann dieses Tool sowohl zum Testen eines schon existierenden Passports wie auch zum Einrichten eines neuen Passports verwendet werden, ohne etwas am Programmcode zu ändern. In der gleichen Weise wie dieses Tool kann auch eine komplexere Anwendung HBCI4Java benutzen, in diesem Tool fehlt nur das Hinzufügen von Geschäftsvorfällen zum HBCI-Dialog.

Beim Start des Programmes mit `java org.kapott.hbci.tools.InitAndTest` werden verschiedene Parameter über die Standardeingabe abgefragt. Konkret handelt es sich dabei um alle HBCI-Parameter, die für die Initialisierung eines Passports und dessen Verwendung benötigt werden. Die HBCI-Parameter werden mit den eingegeben Werten initialisiert. Anschließend wird ein Passport-Objekt erzeugt und ein "leerer" HBCI-Dialog (d.h. einer, der keine Geschäftsvorfälle enthält) ausgeführt.

Bei diesem Vorgang sorgt HBCI4Java selbst dafür, dass alle relevanten Daten vorhanden sind bzw. initialisiert diese entspechend. Läuft das Programm fehlerfrei durch, so ist sichergestellt, dass das benutzte Passport (=Sicherheitsmedium) korrekt initialisiert und funktionsbereit ist.

### Constructor Summary

Constructors
`InitAndTest()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitAndTest

    public InitAndTest()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`